
<?php
include 'tools.php';
include 'qq.php';
echo '<a href="look.php" target="_blank">点击查看QQ在线状态</a><hr/>';
echo '共有<font color="green">'.count($qqarr).'</font>个QQ<br/>';
$qqlength=count($qqarr);

for($i=0; $i<$qqlength; $i++){
	$qq=text_lefttext($qqarr[$i],'----');
	$tmpe=text_righttext($qqarr[$i],$qq.'----');
	if(strpos($tmpe,'----')!=false){//包含sid
		$mm=text_lefttext($tmpe,'----');
		$sid=text_righttext($tmpe,'----');
	}else{
		$mm=text_righttext($qqarr[$i],'----');
		$sid='';
	}
	
	if($sid==''){//只有QQ和密码======================================================================

		$zt= qqlogin($qq,$mm,$fhsid,$a).'<br/>';
		switch ($zt){
			case 3:
				echo '<font color="red">要验证码</font>QQ:'.$qq.'<br/>';
				break;
			case 2:
				echo '<font color="purple">密码错误</font>QQ:'.$qq.'<br/>';
				break;
			case 1:
					$zz=fopen('qq.php','r+');//打开QQ文件
					$qqstr=file_get_contents('qq.php');//读入文本
					$qqmm_sid=str_replace($qq.'----'.$mm,$qq.'----'.$mm.'----'.$fhsid,$qqstr);//替换
					fwrite($zz,$qqmm_sid);//写入文件
					fclose($zz);//关闭文件
				echo '<font color="green">加入sid成功</font>QQ:'.$qq.'<br/>';
				break;
			default:
				echo $zt;
		}


	}else{//===================================================有sid码，正常挂机==========================================

		$url = "http://pt.3g.qq.com/s?aid=nLogin3gqqbysid&3gqqsid=".$sid;
		$fnym = get($url);
		if (ereg('nqqchat',$fnym)) {
			$str=$fnym;
			$temp=explode("myqq=",$str);
			$qq_s=explode("Connection",$temp[1]);
			echo '<font color="green">刷新成功</font>';
			echo 'QQ:'.$qq_s[0].'<br/>';//这个QQ是通过sid获取到的
		
		
		
		//========================================================有sid码，正常挂机======================================



		}else{//登陆失败，sid过期，自动重新获取==================================
			$zt2= qqlogin($qq,$mm,$fhsid,$a);//获取sid函数，
			switch ($zt2){
				case 3:
					echo '<font color="red">要验证码</font>QQ:'.$qq.'<br/>';
					break;
				case 2:
					echo '<font color="purple">密码错误</font>QQ:'.$qq.'<br/>';
					break;
				case 1:
					$zz=fopen('qq.php','r+');//打开QQ文件
					//寻找到过期的sid并替换掉
					$qqstr=file_get_contents('qq.php');//读入文本
					$qqstrx=str_replace($sid,$fhsid,$qqstr);//替换
					fwrite($zz,$qqstrx);//写入文件
					fclose($zz);//关闭文件
					
					//记录替换的QQ
					$zz=fopen('sidthjl.txt','a+');
					//$qqstr=file_get_contents('sidthjl.txt');//读入文本
					$time= date(Y."年".n."月".d."日". H."时".i."分".s."秒");
					fwrite($zz,$qq.'----'.$time."\r\n");//写入文件
					fclose($zz);//关闭文件
					echo '<font color="blue">重新获取sid成功</font>QQ:'.$qq.'<br/>';
					break;
				default:
					echo $zt;
			}
			
		}
	}
}





?>